/*
 ============================================================================
 Project     : OBL Algorithm
 Author      : Lucas Angelo Silveira
 Universidade de Brasilia (UnB) - Brazil
 Group of Theory of Computation
 Version     : 1.0
 
 Last Modified On: July 16, 2015.
 ============================================================================
 */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <time.h>
#include "OBL_alg.h"

int main(int argc, char **argv){
    unsigned int seed = time(NULL);
    float parametro1=0;
    float parametro2=0;
    float parametro3=0;
    //leer parametros
    if (argc == 2){
        seed = 408302;//read seed
    }
    else if (argc == 3){
        seed = 408302;//read seed
        parametro1 = atof(argv[2]);//read probreset
    }
    
    
    else if (argc == 4){
        seed = 408302;//read seed
        parametro1 = atof(argv[2]);//read probreset
        parametro2 = atof(argv[3]);//read obl
        
    }
    
    else if(argc == 5)
    {
        seed = 408302;//read seed
        parametro1 = atof(argv[2]);//read probreset
        parametro2 = atof(argv[3]);//read obl
        parametro3 = atof(argv[4]);//read probretaion
        
        
    }
    
    
    srand (seed);//initialize random generator
    
    OBLGa(parametro1, parametro2, parametro3);
    return 0;
    
    
}